> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/dash-dash/dash_masternode_list.md).

# masternode\_list - Dash

#### Parameters

`method name` - string

None

`mode` - string

Optional. Required to use filter.

The mode to run list in.

addr: Print IP address associated with a masternode (can be additionally filtered, partial match)

full: Print info in format "status payee lastpaidtime lastpaidblock IP" (can be additionally filtered, partial match)

info: Print info in format "status payee IP" (can be additionally filtered, partial match)

json (Default): Print info in JSON format (can be additionally filtered, partial match)

lastpaidblock: Print the last block height a node was paid on the network

lastpaidtime: Print the last time a node was paid on the network

owneraddress: Print the masternode owner Dash address

payee: Print Dash address associated with a masternode (can be additionally filtered, partial match)

publicKeyOperator: Print the masternode operator public key

status: Print masternode status: ENABLED / POSE\_BANNED (can be additionally filtered, partial match)

votingaddress: Print the masternode voting Dash address

`filter` - string

Optional

Filter results. Partial match by outpoint by default in all modes, additional matches in some modes are also available.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "masternode",
"params": ["list", "full", "ENABLED"],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": {
        "000be8f5f64b7bf26029218f647af1ff16a25c0fc1747930a5ee4e03860ec581-1": "           ENABLED XiwYx9vPDsviVbARe9deBs9QFsgYZNAHrC 1630758460 1532684 45.76.234.147:9999",
        "0013a0c62b7ab3857ac406f14cc266bd3acaa76e777bc36c2773405f02a2e8a6-0": "           ENABLED XeMARmdS6jidwhCTdvT6Yg1Fw2CmQsNMLS 1630844680 1533229 135.181.82.13:9999",
        "0071bb3c7029bec401a9c548be5c1ea6b4ac24dccd3c602d2641d50432f0e467-1": "           ENABLED Xs9JSHbRxHwfVDuDrQnyzMYVGNWuHWLoit 1630677091 1532173 212.24.104.235:9999"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/dash-dash/dash_masternode_list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
